### Method

# Gtk FileFilter set_name

#### Declaration [src]

    void
    gtk_file_filter_set_name (
      GtkFileFilter* filter,
      const char* name
    )

#### Description [src]

Sets a human-readable name of the filter.

This is the string that will be displayed in the file chooser if there is a selectable list of filters.

Sets property | `Gtk.FileFilter:name`

#### Parameters

`name` | `const char*`
| The human-readable-name for the filter, or `NULL` to remove any existing name.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.